echo "******************** Starting Standalone Document Conversion ****************************"
echo ""
echo "Reading the path to oiexport folder"
echo ""
TEMPPATH=`echo $PWD | grep -o [/_0-9a-zA-Z]*/shared/app`
echo "Assuming the oiexport folder to be at location :--> " $TEMPPATH/oiexport
echo ""
echo "Reading the path to AppServer/bin/setupCmdLine.sh"
echo ""
TEMPJAVAPATH=`echo $PWD | grep -o [/_0-9a-zA-Z]*W[a-zA-Z]*`
echo "Assuming setupCmdLine.sh to be present at :--> " $TEMPJAVAPATH/AppServer/bin/setupCmdLine.sh
echo ""
echo "Setting up the Java Path by running the shell file setupCmdLine.sh"
chmod -R 777 $TEMPJAVAPATH/AppServer/bin/setupCmdLine.sh
$TEMPJAVAPATH/AppServer/bin/setupCmdLine.sh
echo ""
echo " Checking the Lesstif/Motif dependecies through command ldd libos_xwin.so  or ldd libsc_du.so "
cd ..
cd oiexport
ldd libos_xwin.so > libos_xwin.so.txt
ldd libsc_du.so  > libsc_du.so.txt
cd ..
cd dcs_test_linux
echo ""

# query user for backing the oiexport folder
while :
   do
    	echo ""
    	echo "********************************************************************************"
	echo " Running this tool changes the permissions of the oiexport folder. "
	echo ""
    	echo "If you are runnning the tool for the first time, then it is advisable to take backup of the oiexport folder."
	echo ""
	echo "Please enter 'n' or 'N' if you do not wish to take a backup of your existing oiexport folder"
    	echo ""
	echo "Please enter 'y' or 'Y' if you wish to take a backup of your existing oiexport folder."
    	echo ""
    	read ODC_CHOICE
    	echo "********************************************************************************"
	    if [ "${ODC_CHOICE}" = "" ] ; then
      	 continue
	    
	          elif [ "${ODC_CHOICE}" = "n" ] ; then
      		 break
	    
	          elif [ "${ODC_CHOICE}" = "N" ] ; then
		       break
	
		    elif [ "${ODC_CHOICE}" = "y" ] ; then
			 echo "Backing Up the oiexport folder as bkp_dcs_oiexport"
	      	 cp -ru ../oiexport ../bkp_dcs_oiexport
			 break
    
    		   elif [ "${ODC_CHOICE}" = "Y" ] ; then
	 		echo "Backing Up the oiexport folder as bkp_dcs_oiexport"
	       	cp -ru ../oiexport ../bkp_dcs_oiexport
			break

	    else 
	       continue
	    fi
    break
done


    
echo ""
echo "Setting up access/permissions for oiexport folder"
chmod -R 777 ../oiexport
echo ""
echo "Copying the files helpful in debugging the issue to folder configfiles"
cp -u ../oiexport/common/verbuild.h configfiles/.
cp -u ../convertors.xml configfiles/.
cp -u ../export.cfg configfiles/.
env > configfiles/env.txt
echo ""

# query user for DISPLAY
while :
   do
    echo ""
    echo "*************************** Setting Display Variable ***************************"
    echo ""
    echo "Currently DISPLAY variable is set to:-> " $DISPLAY
    echo ""
    echo "Please enter the complete Path to export the DISPLAY to e.g 9.181.241.26:3.0 or IP of this machine ELSE Press Enter if you do not want to change DISPLAY variable"
    echo ""
    read ODC_DISPLAY
    if [ "${ODC_DISPLAY}" = "" ] ; then
	echo "Not changing the current value of DISPLAY " 
	echo ""
	break
    else
    	echo "Exporting DISPLAY To Your Entered Value i.e. " ${ODC_DISPLAY}
	echo ""
	export DISPLAY=${ODC_DISPLAY}
	echo "DISPLAY IS SET TO:--> " $DISPLAY
	echo ""	
    	break
    fi
done
echo "********************************************************************************"
echo ""

export PATH=$TEMPPATH/oiexport:$TEMPJAVAPATH/AppServer/java/jre/bin:$PATH
export LD_LIBRARY_PATH=$TEMPPATH/oiexport:/usr/X11R6/lib:$LD_LIBRARY_PATH
echo "PATH is set to:-->" $PATH
echo ""
echo "LD_LIBRARY_PATH is set to:-->" $LD_LIBRARY_PATH
echo ""
echo "If the Display variable is correctly set, then you should see a clock on the machine, to which DISPLAY has been exported."
echo ""
echo "If you are not able to see the clock, then make sure that you are able to run the command xclock successfully, before attempting to run the Tool again"
xclock &
echo ""
echo "Starting the standalone conversion now, converted files will be in the folder outputfiles, unzip the files and view them to se if the conversion is happening correctly now"
echo ""
java -cp ../Export.jar:../convertors.jar:../../../IBMTrans/lib/xerces.jar com.ibm.wps.odc.convert.TestDriver "application/msword" "application/html.zip" "samplefiles/new.doc" "outputfiles/new_word_to_html.html.zip" > logfiles/newdoctohtml.txt
java -cp ../Export.jar:../convertors.jar:../../../IBMTrans/lib/xerces.jar com.ibm.wps.odc.convert.TestDriver "application/msword" "application/vnd.stellent-searchml.zip" "samplefiles/new.doc" "outputfiles/new_word_to_searchml.searchml" > logfiles/newdoctosearchml.txt
java -cp ../Export.jar:../convertors.jar:../../../IBMTrans/lib/xerces.jar com.ibm.wps.odc.convert.TestDriver "application/vnd.ms-powerpoint" "application/html.zip" "samplefiles/newppt.ppt" "outputfiles/new_ppt_to_html.html.zip" > logfiles/newppttohtml.txt
java -cp ../Export.jar:../convertors.jar:../../../IBMTrans/lib/xerces.jar com.ibm.wps.odc.convert.TestDriver "application/vnd.ms-powerpoint" "application/vnd.stellent-searchml.zip" "samplefiles/newppt.ppt" "outputfiles/new_ppt_to_searchml.searchml" > logfiles/newppttosearchml.txt
echo ""
echo "******************** Standalone Document Conversion Finished****************************"
